Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Remove activesupport dependency #264

Closed
sferik opened this Issue · 0 comments

1 participant

@sferik
Owner

Active Support is only used in a few places. There's no reason why it's needed.

@sferik sferik referenced this issue from a commit
@sferik Remove dependency on activesupport for except
Progress toward #264.
9019137
@sferik sferik referenced this issue from a commit
@sferik Remove dependency on activesupport for each_with_object compatibility…
… in Ruby 1.8

Use Enumerable#inject instead. This change can be reverted when the
required Ruby version >= 1.9.

Progress toward #264.
6052252
@sferik sferik referenced this issue from a commit
@sferik Remove dependency on activesupport for camelize
Progress toward #264.
538cd2f
@sferik sferik closed this issue from a commit
@sferik Remove dependency on activesupport for singleton_class
This change can be reverted when the required Ruby version >= 1.9.

Closes #264.
2ed9db2
@sferik sferik closed this in 2ed9db2
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.